#ifndef GLWIDGET_H
#define GLWIDGET_H

class QOpenGLShaderProgram;
class QTimerEvent;

#include <QMatrix4x4>
#include <QOpenGLWidget>
#include <QOpenGLFunctions>

class GLWidget : public QOpenGLWidget, public QOpenGLFunctions {
public:
    explicit GLWidget(QWidget *parent = 0);
    ~GLWidget();

private:
    QOpenGLShaderProgram * m_program;
    GLuint m_vertexVBO;
    GLuint m_colorVBO;
    QMatrix4x4 m_matrix;
    GLuint m_posAttr;
    GLuint m_colAttr;
    GLuint m_matrixUniform;

    void initializeGL();
    void resizeGL(int w, int h);
    void paintGL();
};

#endif // GLWIDGET_H
